#
# spec file for package python-pysendfile
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
%define mod_name pysendfile
Name:           python-pysendfile
Version:        2.0.1
Release:        4.5
Summary:        A Python interface to sendfile(2)
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/giampaolo/pysendfile
Source:         https://files.pythonhosted.org/packages/source/p/pysendfile/pysendfile-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  python-rpm-macros
%python_subpackages

%description
A python interface to sendfile(2) system call.

%prep
%setup -q -n %{mod_name}-%{version}

%build
export CFLAGS="%{optflags}"
%pyproject_wheel

%install
%pyproject_install

%files %{python_files}
%license LICENSE
%doc README.rst
%{python_sitearch}/sendfile.*.so
%{python_sitearch}/pysendfile-%{version}*-info

%changelog
* Tue Jan  2 2024 Dirk Müller <dmueller@suse.com>
- require setuptools
* Fri Apr 21 2023 Dirk Müller <dmueller@suse.com>
- add sle15_python_module_pythons (jsc#PED-68)
* Thu Apr 13 2023 Matej Cepl <mcepl@suse.com>
- Refresh SPEC file.
* Thu Apr 13 2023 Matej Cepl <mcepl@suse.com>
- Make calling of %%{sle15modernpython} optional.
* Fri Aug 11 2017 tbechtold@suse.com
- convert to singlespec
* Thu Oct  2 2014 p.drouand@gmail.com
- Use tarball from pypi as source
* Fri Sep 12 2014 dmueller@suse.com
- update to 2.0.1:
  - #20: host tarball on PYPI
  - #21: project migrated from google code to github
  - #21: project migrated from SVN to GIT
  - #22: pysendfile won't compile on python 3.4
  - #23: add a Makefile
  - #24: use of travis continuous integration
  - #25: use tox for multiple python versions testing
* Sat Apr 13 2013 toddrme2178@gmail.com
- Remove pre_checkin.sh since the two packages are not the same
* Mon Jan 21 2013 p.drouand@gmail.com
- Add python3 support
* Thu Nov  8 2012 saschpe@suse.de
- Initial version
